org.gradle.tooling.model.eclipse

## Interface EclipseProjectNature

-     @Incubating
      public interface EclipseProjectNature

  An Eclipse project nature definition.
  Since:
    2.9

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Returns the unique identifier of the project nature.

- - ### Method Detail

    - #### getId

          String getId()

      Returns the unique identifier of the project nature.
      Returns:
        The project nature id.
      See Also:
        Definition of project natures in the Eclipse documentation